## gmime-filter-basic

gmime-filter-basic —

## Synopsis

    struct      GMimeFilterBasic;
    enum        GMimeFilterBasicType;
    GMimeFilter* g_mime_filter_basic_new_type   (GMimeFilterBasicType type);

## Object Hierarchy

      GObject
       +----GMimeFilter
             +----GMimeFilterBasic

## Description

## Details

### struct GMimeFilterBasic

    struct GMimeFilterBasic;

### enum GMimeFilterBasicType

    typedef enum {
    	GMIME_FILTER_BASIC_BASE64_ENC = 1,
    	GMIME_FILTER_BASIC_BASE64_DEC,
    	GMIME_FILTER_BASIC_QP_ENC,
    	GMIME_FILTER_BASIC_QP_DEC,
    	GMIME_FILTER_BASIC_UU_ENC,
    	GMIME_FILTER_BASIC_UU_DEC
    } GMimeFilterBasicType;

### g_mime_filter_basic_new_type ()

    GMimeFilter* g_mime_filter_basic_new_type   (GMimeFilterBasicType type);

Creates a new filter of type `type`.

`type` : | filter type
Returns : | a new basic filter of type `type`.